Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.util
Class ButtonWidget

    java.lang.Object
      de.grogra.pf.ui.util.WidgetSupport
          de.grogra.pf.ui.util.WidgetBase
              de.grogra.pf.ui.util.ButtonWidget

All Implemented Interfaces:
  Command, ComponentWrapper, Widget, Disposable

    public class ButtonWidget

extends WidgetBase
implements Command

Field Summary

Fields inherited from class de.grogra.pf.ui.util.WidgetBase
`conversion, lastValue`

Fields inherited from interface de.grogra.pf.ui.Command
`DISPOSE`

Fields inherited from interface de.grogra.pf.ui.Widget
`WIDGET_VALUE_PROPERTY`

Constructor Summary
`ButtonWidget(Command command, Property property)`

Method Summary
`void` | `checkForChange(java.lang.Object value)`
`java.lang.String` | `getCommandName()` Returns a name which can be used in the graphical user interface to represent this command.
`java.lang.Object` | `getComponent()`
`Property` | `getProperty()`
`void` | `run(java.lang.Object info, Context context)` Performs the actions of this command.
`void` | `setButton(java.lang.Object button)`
`protected void` | `setComponentValue(java.lang.Object value)`
`void` | `setEnabled(boolean enabled)`
`void` | `updateValue(java.lang.Object value)`

Methods inherited from class de.grogra.pf.ui.util.WidgetBase
`setConversion`

Methods inherited from class de.grogra.pf.ui.util.WidgetSupport
`addPropertyChangeListener, addVetoableChangeListener, convert, dispose, disposeImpl, firePropertyChange, firePropertyChange, fireVetoableChange, fireVetoableChange, installListener, removePropertyChangeListener, removeVetoableChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonWidget

    public ButtonWidget(Command command,
                        Property property)

Method Detail

### checkForChange

    public void checkForChange(java.lang.Object value)

  Overrides:
    `checkForChange` in class `WidgetBase`

### getCommandName

    public java.lang.String getCommandName()

  Description copied from interface: `Command`
  Returns a name which can be used in the graphical user interface to represent this command.

  Specified by:
    `getCommandName` in interface `Command`
  Returns:
    this commands's name

### getComponent

    public java.lang.Object getComponent()

  Specified by:
    `getComponent` in interface `ComponentWrapper`

### getProperty

    public Property getProperty()

### run

    public void run(java.lang.Object info,
                    Context context)

  Description copied from interface: `Command`
  Performs the actions of this command. This method is invoked by the `JobManager` after the command has been submitted to the job manager by one of `execute`, `runAt`, or `runLater`-methods. The arguments `info` and `context` are the arguments which have been provided as arguments to the `JobManager`-methods.

  Specified by:
    `run` in interface `Command`
  Parameters:
    `info` - an argument
    `context` - a context

### setButton

    public void setButton(java.lang.Object button)

### setComponentValue

    protected void setComponentValue(java.lang.Object value)

  Specified by:
    `setComponentValue` in class `WidgetBase`

### setEnabled

    public void setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `Widget`

### updateValue

    public void updateValue(java.lang.Object value)

  Specified by:
    `updateValue` in interface `Widget`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD